Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class JRPptxExporter

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter
          net.sf.jasperreports.engine.export.ooxml.JRPptxExporter

All Implemented Interfaces:
  JRExporter

    public class JRPptxExporter

extends JRAbstractExporter

Exports a JasperReports document to PPTX format.

Version:
  $Id: JRDocxExporter.java 3502 2010-03-04 11:05:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary
`protected class` | `JRPptxExporter.ExporterContext`

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`JRAbstractExporter.BaseExporterContext, JRAbstractExporter.ParameterOverriddenResolver, JRAbstractExporter.ParameterOverrideResolver, JRAbstractExporter.ParameterResolver`

Field Summary
`protected PptxContentTypesHelper` | `ctHelper`
`protected int` | `elementIndex`
`protected java.util.Map` | `fontMap` Deprecated.
`protected java.util.List` | `frameIndexStack`
`static java.lang.String` | `IMAGE_NAME_PREFIX`
`protected static int` | `IMAGE_NAME_PREFIX_LEGTH`
`protected java.util.Map` | `imageMaps`
`protected java.util.List` | `imagesToProcess`
`protected static java.lang.String` | `JR_PAGE_ANCHOR_PREFIX`
`protected int` | `pageIndex`
`static java.lang.String` | `PPTX_EXPORTER_KEY` The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.
`protected static java.lang.String` | `PPTX_EXPORTER_PROPERTIES_PREFIX`
`protected PptxZip` | `pptxZip`
`protected PptxPresentationHelper` | `presentationHelper`
`protected PptxPresentationRelsHelper` | `presentationRelsHelper`
`protected java.io.Writer` | `presentationWriter`
`protected JRExportProgressMonitor` | `progressMonitor`
`protected java.util.Map` | `rendererToImagePathMap`
`protected int` | `reportIndex`
`protected PptxSlideHelper` | `slideHelper`
`protected int` | `slideIndex` used for counting the total number of sheets
`protected PptxSlideRelsHelper` | `slideRelsHelper`
`protected boolean` | `startPage`

Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`classLoader, classLoaderSet, dateFormatCache, endPageIndex, fileResolver, fileResolverSet, filter, globalOffsetX, globalOffsetY, hyperlinkProducerFactory, isModeBatch, jasperPrint, jasperPrintList, numberFormatCache, parameters, PROPERTY_CELL_FORMULA, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, startPageIndex, urlHandlerFactory, urlHandlerFactorySet`

Constructor Summary
`JRPptxExporter()`

Method Summary
`protected void` | `closeSlide()`
`protected void` | `createSlide(java.lang.String name)`
`protected void` | `exportElements(java.util.List elements)`
`protected void` | `exportEllipse(JRPrintEllipse ellipse)`
`protected void` | `exportFrame(JRPrintFrame frame)`
`protected void` | `exportGenericElement(JRGenericPrintElement element)`
`protected void` | `exportImage(JRPrintImage image)`
`protected void` | `exportLine(JRPrintLine line)`
`protected void` | `exportPage(JRPrintPage page)`
`protected void` | `exportRectangle(JRPrintRectangle rectangle)`
`void` | `exportReport()` Actually starts the export process.
`protected void` | `exportReportToStream(java.io.OutputStream os)`
`protected void` | `exportStyledText(JRStyle style, JRStyledText styledText, java.util.Locale locale)`
`void` | `exportText(JRPrintText text)`
`protected JRPrintElementIndex` | `getElementIndex()`
`protected java.lang.String` | `getExporterKey()`
`protected java.lang.String` | `getExporterPropertiesPrefix()`
`protected java.lang.String` | `getHyperlinkTarget(JRPrintHyperlink link)`
`protected java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link)`
`static JRPrintImage` | `getImage(java.util.List jasperPrintList, JRPrintElementIndex imageIndex)`
`static JRPrintImage` | `getImage(java.util.List jasperPrintList, java.lang.String imageName)`
`protected java.lang.String` | `getImagePath(JRRenderable renderer, boolean isLazy)`
`static JRPrintElementIndex` | `getPrintElementIndex(java.lang.String imageName)` protected void writeImageMap(String imageMapName, JRPrintHyperlink mainHyperlink, List imageMapAreas) { writer.write("\n"); for (Iterator it = imageMapAreas.iterator(); it.hasNext();) { JRPrintImageAreaHyperlink areaHyperlink = (JRPrintImageAreaHyperlink) it.next(); JRPrintImageArea area = areaHyperlink.getArea(); writer.write(" \n"); } if (mainHyperlink.getHyperlinkTypeValue() !

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`createFilter, defaultParseNumber, getBooleanCellValue, getBooleanParameter, getCharacterParameter, getCustomHandler, getDateCellValue, getDateFormat, getFloatParameter, getHyperlinkProducer, getIntegerParameter, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getParameter, getParameterResolver, getParameters, getStringArrayParameter, getStringParameter, getStringParameterOrDefault, getStyledText, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setExportContext, setFrameElementsOffset, setHyperlinkProducerFactory, setInput, setJasperPrint, setOffset, setOffset, setOutput, setPageRange, setParameter, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PPTX_EXPORTER_KEY

    public static final java.lang.String PPTX_EXPORTER_KEY

  The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.

  See Also:
    Constant Field Values

### PPTX_EXPORTER_PROPERTIES_PREFIX

    protected static final java.lang.String PPTX_EXPORTER_PROPERTIES_PREFIX

See Also:
  Constant Field Values

### JR_PAGE_ANCHOR_PREFIX

    protected static final java.lang.String JR_PAGE_ANCHOR_PREFIX

See Also:
  Constant Field Values

### IMAGE_NAME_PREFIX

    public static final java.lang.String IMAGE_NAME_PREFIX

See Also:
  Constant Field Values

### IMAGE_NAME_PREFIX_LEGTH

    protected static final int IMAGE_NAME_PREFIX_LEGTH

### pptxZip

    protected PptxZip pptxZip

### presentationHelper

    protected PptxPresentationHelper presentationHelper

### presentationRelsHelper

    protected PptxPresentationRelsHelper presentationRelsHelper

### ctHelper

    protected PptxContentTypesHelper ctHelper

### slideHelper

    protected PptxSlideHelper slideHelper

### slideRelsHelper

    protected PptxSlideRelsHelper slideRelsHelper

### presentationWriter

    protected java.io.Writer presentationWriter

### progressMonitor

    protected JRExportProgressMonitor progressMonitor

### rendererToImagePathMap

    protected java.util.Map rendererToImagePathMap

### imageMaps

    protected java.util.Map imageMaps

### imagesToProcess

    protected java.util.List imagesToProcess

### reportIndex

    protected int reportIndex

### pageIndex

    protected int pageIndex

### frameIndexStack

    protected java.util.List frameIndexStack

### elementIndex

    protected int elementIndex

### startPage

    protected boolean startPage

### slideIndex

    protected int slideIndex

  used for counting the total number of sheets

### fontMap

    protected java.util.Map fontMap

  Deprecated.

Constructor Detail

### JRPptxExporter

    public JRPptxExporter()

Method Detail

### exportReport

    public void exportReport()
                      throws JRException

  Description copied from interface: `JRExporter`
  Actually starts the export process.

  Specified by:
    `exportReport` in interface `JRExporter`
  Specified by:
    `exportReport` in class `JRAbstractExporter`
  Throws:
    `JRException`

### getImage

    public static JRPrintImage getImage(java.util.List jasperPrintList,
                                        java.lang.String imageName)

### getImage

    public static JRPrintImage getImage(java.util.List jasperPrintList,
                                        JRPrintElementIndex imageIndex)

### exportReportToStream

    protected void exportReportToStream(java.io.OutputStream os)
                                 throws JRException,
                                        java.io.IOException

  Throws:
    `JRException`
    `java.io.IOException`

### exportPage

    protected void exportPage(JRPrintPage page)
                       throws JRException

  Throws:
    `JRException`

### createSlide

    protected void createSlide(java.lang.String name)

### closeSlide

    protected void closeSlide()

### exportElements

    protected void exportElements(java.util.List elements)
                           throws JRException

  Throws:
    `JRException`

### exportLine

    protected void exportLine(JRPrintLine line)

### exportRectangle

    protected void exportRectangle(JRPrintRectangle rectangle)

### exportEllipse

    protected void exportEllipse(JRPrintEllipse ellipse)

### exportText

    public void exportText(JRPrintText text)

### exportStyledText

    protected void exportStyledText(JRStyle style,
                                    JRStyledText styledText,
                                    java.util.Locale locale)

### exportImage

    protected void exportImage(JRPrintImage image)
                        throws JRException

  Throws:
    `JRException`

### getImagePath

    protected java.lang.String getImagePath(JRRenderable renderer,
                                            boolean isLazy)

### getElementIndex

    protected JRPrintElementIndex getElementIndex()

### getPrintElementIndex

    public static JRPrintElementIndex getPrintElementIndex(java.lang.String imageName)

  protected void writeImageMap(String imageMapName, JRPrintHyperlink mainHyperlink, List imageMapAreas) { writer.write("\n"); for (Iterator it = imageMapAreas.iterator(); it.hasNext();) { JRPrintImageAreaHyperlink areaHyperlink = (JRPrintImageAreaHyperlink) it.next(); JRPrintImageArea area = areaHyperlink.getArea(); writer.write(" \n"); } if (mainHyperlink.getHyperlinkTypeValue() != NONE) { writer.write(" \n"); } writer.write("\n"); } protected void writeImageAreaCoordinates(JRPrintImageArea area) { int[] coords = area.getCoordinates(); if (coords != null && coords.length > 0) { StringBuffer coordsEnum = new StringBuffer(coords.length * 4); coordsEnum.append(coords[0]); for (int i = 1; i < coords.length; i++) { coordsEnum.append(','); coordsEnum.append(coords[i]); } writer.write(" coords=\"" + coordsEnum + "\""); } } protected void writeImageAreaHyperlink(JRPrintHyperlink hyperlink) { String href = getHyperlinkURL(hyperlink); if (href == null) { writer.write(" nohref=\"nohref\""); } else { writer.write(" href=\"" + href + "\""); String target = getHyperlinkTarget(hyperlink); if (target != null) { writer.write(" target=\""); writer.write(target); writer.write("\""); } } if (hyperlink.getHyperlinkTooltip() != null) { writer.write(" title=\""); writer.write(JRStringUtil.xmlEncode(hyperlink.getHyperlinkTooltip())); writer.write("\""); } } /**

### exportFrame

    protected void exportFrame(JRPrintFrame frame)
                        throws JRException

  Throws:
    `JRException`

### exportGenericElement

    protected void exportGenericElement(JRGenericPrintElement element)

### getHyperlinkTarget

    protected java.lang.String getHyperlinkTarget(JRPrintHyperlink link)

### getHyperlinkURL

    protected java.lang.String getHyperlinkURL(JRPrintHyperlink link)

### getExporterPropertiesPrefix

    protected java.lang.String getExporterPropertiesPrefix()

### getExporterKey

    protected java.lang.String getExporterKey()

  Specified by:
    `getExporterKey` in class `JRAbstractExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com